> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # Update a knowledge base PUT https://api.synthflow.ai/v2/knowledge_base/{id} Content-Type: application/json Reference: https://docs.synthflow.ai/api-reference/platform-api/knowledge-bases/update-knowledge-base ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Path parameters - `id` (string, required) — Knowledge base ID. ### Body (application/json) This endpoint expects an object. - `name` (string, optional) — Name of the knowledge base. - `rag_use_condition` (string, optional) — When this knowledge base should be used. ## Response ### 200 200 - `status` (string, optional) - `response` (KnowledgeBaseIdPutResponsesContentApplicationJsonSchemaResponse, optional) ## Errors ### 400 Bad Request Error 400 ## Types ### KnowledgeBaseIdPutResponsesContentApplicationJsonSchemaResponse - `body` (string, optional) - `knowledge_base_id` (string, optional) — Knowledge base ID. ## Examples **Request** ```json { "name": "Updated Product Documentation", "rag_use_condition": "When the user asks about product features, specifications, or pricing." } ``` **Response** ```json { "status": "ok", "response": { "body": "Knowledge Base updated", "knowledge_base_id": "1739253053024x397207388602947460" } } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460" payload = { "name": "Updated Product Documentation", "rag_use_condition": "When the user asks about product features, specifications, or pricing." } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460" payload := strings.NewReader("{\n \"name\": \"Updated Product Documentation\",\n \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Updated Product Documentation\",\n \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"Updated Product Documentation\",\n \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Updated Product Documentation\",\n \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "Updated Product Documentation", "rag_use_condition": "When the user asks about product features, specifications, or pricing." ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```